// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { jpAvatar } from './avatar/index';
import { jpBreadcrumb } from './breadcrumb/index';
import { jpBreadcrumbItem } from './breadcrumb-item/index';
import { jpButton } from './button/index';
import { jpOption } from './option/index';
import { jpProgress } from './progress/index';
import { jpSearch } from './search/index';
import { jpSelect } from './select/index';
import { jpTabPanel } from './tab-panel/index';
import { jpTab } from './tab/index';
import { jpTabs } from './tabs/index';
import { jpTextField } from './text-field/index';
// export all components
export { jpAvatar, jpBreadcrumb, jpBreadcrumbItem, jpButton, jpOption, jpProgress, jpSearch, jpSelect, jpTab, jpTabPanel, jpTabs, jpTextField };
/**
 * All Jupyter Web Components
 * @public
 * @remarks
 * This object can be passed directly to the Design System's `register` method to
 * statically link and register all available components.
 */
export const allComponents = {
    jpAvatar,
    jpBreadcrumb,
    jpBreadcrumbItem,
    jpButton,
    jpOption,
    jpProgress,
    jpSearch,
    jpSelect,
    jpTab,
    jpTabPanel,
    jpTabs,
    jpTextField,
    register(container, ...rest) {
        if (!container) {
            // preserve backward compatibility with code that loops through
            // the values of this object and calls them as funcs with no args
            return;
        }
        for (const key in this) {
            if (key === 'register') {
                continue;
            }
            this[key]().register(container, ...rest);
        }
    }
};
